Skip to main content
PUT

Authorizations

Authorization
string
header
required

API key authentication using Bearer token

Path Parameters

id
string<uuid>
required

The unique quote identifier of the order to be accepted.

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

Body

application/json
accountId
string
required

The unique pool account identifier of the order to be accepted.

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

balanceId
string<uuid>

The unique balance identifier to fund or settle the trade against.

destination
object

Settlement destination details for the trade (Bank or Blockchain). See destination schema for bank/blockchain-specific fields.

payment
object

Funds the trade by mobile money. If omitted, the quote is funded by virtual account (default behavior).

Response

Quote accepted successfully

quoteId
string<uuid>

Unique quote identifier

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

status
enum<string>

Quote status

Available options:
pending,
awaiting_payment,
completed,
expired,
cancelled
Example:

"pending"

source
string

Source currency

Example:

"NGN"

destination
string

Destination currency

Example:

"USDT"

chain
string

Blockchain network

Example:

"BASE"

amount
number

Requested amount

Example:

50000

totalSourceAmount
number

Total amount in source currency

Example:

50000

totalDestinationAmount
number

Total amount in destination currency

Example:

31.65

clientId
string<uuid>

Client identifier

mode
enum<string>

Operating mode

Available options:
live,
sandbox
Example:

"live"

ttl
integer

Time to live in seconds

Example:

300

allocationResult
object
metadata
object
chatMetadata
object

Metadata for chat-based quote negotiation